Bug 835952 - doxygen generated pdf files are different in x86 and x86_64 builds
doxygen generated pdf files are different in x86 and x86_64 builds
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: doxygen (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 831401
  Show dependency treegraph
 
Reported: 2012-06-27 11:53 EDT by Xavier Bachelot
Modified: 2015-02-17 09:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:19:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2012-06-27 11:53:29 EDT
Description of problem:
doxygen generated pdf files are different in x86 and x86_64 builds because of the front page and footer include the creation date. This is causing an rpm file conflict when said pdf file is present at the same location for rpms of different architecture.

Version-Release number of selected component (if applicable):
2007-71.fc18

How reproducible:
always

Steps to Reproduce:
1. build libbluray. It uses doxygen to generate a pdf file that is included at the same location in both the 32 and 64 bits builds.
2. try to install both libbluray-devel-0.2.2-2.fc18.x86_64.rpm and libbluray-devel-0.2.2-2.fc18.i686.rpm 
3.
  
Actual results:
Generated pdf file is different in the x86 and x86_64 build, causing an rpm file conflict.

Expected results:
Generated pdf files are identical, both the x86 and x86_64 rpms can be installed at the same time.


Additional info:
libbluray build with the conflicting pdf files :
http://koji.fedoraproject.org/koji/taskinfo?taskID=4189461

start of the fedora-devel thread where the issue is discussed :
http://lists.fedoraproject.org/pipermail/devel/2012-June/168534.html

mail where the bug is detailed :
http://lists.fedoraproject.org/pipermail/devel/2012-June/169323.html
Comment 1 Rex Dieter 2012-12-10 10:02:50 EST
to help so no one has to go searching onlist,

> 
> This build has the pdf file with a different timestamp in the i686 and
> x86_64 build.
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=4189461
> 
> The pdf file is /usr/share/doc/libbluray-devel-0.2.2/libbluray.pdf from
> libbluray-devel-0.2.2-2.fc18
> 

it's a bug in pdftex (part of texlive package) which is used to create pdf 
files. pdftex writes the timestamps "CreationDate (%s)" and "ModDate (%s)" 
into PDF files.

extract from texk/web2c/pdftexdir/utils.c

-------
void printcreationdate()
{
    initstarttime();
    pdf_printf("/CreationDate (%s)\n", start_time_str);
}

void printmoddate()
{
    initstarttime();
    pdf_printf("/ModDate (%s)\n", start_time_str);
}
Comment 2 Jindrich Novy 2013-02-02 02:31:02 EST
It seems more like doxygen bug to me. There is a hyperref package which allows to influence pdf metadata:

http://tex.stackexchange.com/questions/94484/how-to-add-customized-created-modified-date-to-the-pdf-properties-information-wh

Not sure if it is a good idea to omit these fields globally to workaround pdflatex's default behaviour.
Comment 3 Fedora End Of Life 2013-04-03 13:51:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Fedora End Of Life 2015-01-09 12:13:22 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 09:19:00 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.